Bug 832425 - SAM cli headpin Version command returns exitCode as 1 even after successful completion of command
SAM cli headpin Version command returns exitCode as 1 even after successful c...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
SAM QE List
: Triaged
Depends On:
Blocks: 832431
  Show dependency treegraph
 
Reported: 2012-06-15 07:44 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 832431 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-06-15 07:44:02 EDT
Description of problem:
The newly added headpin -u admin -p admin version -v has exitCode
as 1

Version-Release number of selected component (if applicable):
[root@dell-pesc1425-01 ~]# rpm -qa | grep katello
katello-cli-common-0.3.5-2.el6_2.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-0.3.2-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.7-1.el6_2.noarch
katello-headpin-all-0.2.12-2.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-common-0.3.2-1.el6_2.noarch
katello-headpin-0.2.12-2.el6_2.noarch

How reproducible:
Automation JAVA_ClI code is
executed on the SAM server

Steps to Reproduce:
The test report attached:
http://pastebin.test.redhat.com/93090
  
Actual results:
The return exit code for successful execution is 1.

Expected results:
The return exit code for successful execution should be 0 since
all the other commmands return 1 after successful completion


Additional info:
cloning the bug for CFSE since the code is shared with katello
Comment 1 Adam Price 2012-07-27 16:44:50 EDT
appears to have been fixed as of commit 9e0fe023bf11eb7c614f345becac960504476c57
Comment 2 Tazim Kolhar 2012-07-30 03:36:26 EDT
VERIFIED with rpms:

[root@nec-em16 ~]# rpm -qa | grep katello
katello-cli-common-0.2.45-1.fc16.noarch
katello-glue-foreman-0.2.50-1.fc16.noarch
katello-glue-pulp-0.2.50-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.32-1.fc16.noarch
katello-glue-candlepin-0.2.50-1.fc16.noarch
katello-all-0.2.53-1.fc16.noarch
katello-common-0.2.50-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-0.2.45-1.fc16.noarch
katello-0.2.50-1.fc16.noarch
katello-repos-0.2.7-1.fc16.noarch


[root@nec-em16 ~]# katello -u admin -p admin version 
Headpin Unknown

[root@nec-em16 ~]# echo $?
0

THe exitCode for successful execution of command is 0
Comment 4 errata-xmlrpc 2013-02-21 14:16:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.